> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/ukrainian/dokumentaciya-api/oglyad-zapitiv-geopard-api/51.-zapit-otrimati-gratovani-dani-z-yielddataset.md).

# 51. Запит: Отримати ґратовані дані з "YieldDataset"

Запит для отримання сіткових даних із растрового набору даних, пов'язаного з "YieldDataset", як `GEOJSON`  з точками або `GEOTIFF`.Атрибут properties містить усі атрибути набору даних для кожної точки.&#x20;

#### 1. Запросіть файл для експорту

{% hint style="danger" %}
Рекомендовано отримувати лише один набір даних з `sourceDataUrl` за запитом.&#x20;
{% endhint %}

`БезБуфера`, `ПлюсОдинПіксель`, `ПлюсДваПікселі`, `МінусОдинПіксель`, та `МінусДваПікселі` доступні як `буфер`.

`GEOJSON` та `GEOTIFF` доступні як формат.&#x20;

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetGriddedDataFromYieldDataset {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]){
    uuid
    fields (fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      yieldDatasets(yieldDatasetUuids: ["<placeholder_of_dataset_uuid>"]) {
        uuid
        sourceDataUrl(format: GEOJSON buffer: PlusTwoPixels)
      }
    }
  }
}
```

{% endcode %}

#### 2. Завантажте згенерований файл

Після успішної підготовки файлу його можна завантажити за допомогою `curl` або подібного підходу.

{% hint style="danger" %}
`sourceDataUrl` посилання доступне лише протягом **60 сек.**
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl '<sourceDataUrl>' --compressed >> '<local_filepath>'
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/ukrainian/dokumentaciya-api/oglyad-zapitiv-geopard-api/51.-zapit-otrimati-gratovani-dani-z-yielddataset.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
